Customers
Retrieve a business classification
Returns a specific business classification with its embedded industry classifications. Use this endpoint to browse available industry options within a business category and obtain the industry classification ID required for the businessClassification parameter when creating business verified customers.
GET
/
business-classifications
/
{id}
cURL
GET https://api-sandbox.dwolla.com/business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203")
.then((res) => res.body.name); // => 'Accommodation and Food Services'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
classification = app_token.get('business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203')
classification.body['name'] # => 'Accommodation and Food Services'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$businessClassificationsApi = new DwollaSwagger\BusinessClassificationsApi($apiClient);
$classification = $businessClassificationsApi->getBusinessClassification("9ed3f670-7d6f-11e3-b1ce-5404a6144203");
$classification->name; # => "Accommodation and Food Services"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
classification = app_token.get "business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203"
classification.name # => "Accommodation and Food Services"
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"_embedded": {
"industry-classifications": [
{
"id": "9ed3f66b-7d6f-11e3-95ac-5404a6144203",
"name": "Wineries"
}
]
},
"id": "9ed3f669-7d6f-11e3-b545-5404a6144203",
"name": "Food retail and service"
}{
"code": "not_found",
"message": "not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
business classification unique identifier
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203")
.then((res) => res.body.name); // => 'Accommodation and Food Services'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
classification = app_token.get('business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203')
classification.body['name'] # => 'Accommodation and Food Services'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$businessClassificationsApi = new DwollaSwagger\BusinessClassificationsApi($apiClient);
$classification = $businessClassificationsApi->getBusinessClassification("9ed3f670-7d6f-11e3-b1ce-5404a6144203");
$classification->name; # => "Accommodation and Food Services"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
classification = app_token.get "business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203"
classification.name # => "Accommodation and Food Services"
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"_embedded": {
"industry-classifications": [
{
"id": "9ed3f66b-7d6f-11e3-95ac-5404a6144203",
"name": "Wineries"
}
]
},
"id": "9ed3f669-7d6f-11e3-b545-5404a6144203",
"name": "Food retail and service"
}{
"code": "not_found",
"message": "not found."
}